Subject: Re: [PATCH 7/9] strbuf_getwholeline: use getdelim if it is available

From: Jeff King <[email-masked]>
Date: Tue, 21 Apr 2015 19:09:29 -0400

On Fri, Apr 17, 2015 at 06:16:48AM -0400, Eric Sunshine wrote:

> > If somebody has a FreeBSD or OS X system to test on, I'd
> > love to see what is needed to compile with HAVE_GETDELIM
> > there.
> 
> Modern Mac OS X, 10.10.x Yosemite, has getdelim() and git builds fine
> with HAVE_GETDELIM. I also tested on old Snow Leopard 10.5.8 from
> 2009. It does not have getdelim(). Unfortunately, I haven't been able
> to determine when getdelim() was introduced on the Mac OS X, thus have
> been unable to craft a simple rule for config.mak.uname.

Thanks for looking into it. Since there haven't been any other takers in
the meantime, do you want to prepare a patch that checks $(uname_R) for
10.10.x?  That's likely more conservative than is necessary, but we can
loosen it later if somebody on 10.9.x shows up with test results.

-Peff